summaryrefslogtreecommitdiff
path: root/dev-python/clang-python/clang-python-15.0.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-20 13:59:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-09-20 13:59:10 +0000
commit2ce87fedd92512ece9d03a4c664d0753faf9e088 (patch)
tree85e86961cca19dbde8ba6e9142eb036c7d226cea /dev-python/clang-python/clang-python-15.0.1.ebuild
parent5ab4feca38e6686c23ed08f44272ec6071cc9542 (diff)
downloadbaldeagleos-repo-2ce87fedd92512ece9d03a4c664d0753faf9e088.tar.gz
baldeagleos-repo-2ce87fedd92512ece9d03a4c664d0753faf9e088.tar.xz
baldeagleos-repo-2ce87fedd92512ece9d03a4c664d0753faf9e088.zip
Adding metadata
Diffstat (limited to 'dev-python/clang-python/clang-python-15.0.1.ebuild')
-rw-r--r--dev-python/clang-python/clang-python-15.0.1.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/clang-python/clang-python-15.0.1.ebuild b/dev-python/clang-python/clang-python-15.0.1.ebuild
new file mode 100644
index 000000000000..e347899e1291
--- /dev/null
+++ b/dev-python/clang-python/clang-python-15.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}